import 'dart:async';

import 'package:flutter/services.dart';

class WindowsNtUser {
  static const MethodChannel _channel = MethodChannel('windows_nt_user');

  // Get Windows NT User
  static Future<String?> get getNTUser async {
    final String? version = await _channel.invokeMethod('getNTUser');
    return version;
  }

  // Get Full Windows Username
  static Future<String?> get getUsername async {
    final String? version = await _channel.invokeMethod('getFullUsername');
    return version;
  }
}
